# Method: sellers.creativeAssets.list

- [HTTP request](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.creativeAssets/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.creativeAssets/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.creativeAssets/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.creativeAssets/list#body.request_body)
- [Response body](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.creativeAssets/list#body.response_body)
  - [JSON representation](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.creativeAssets/list#body.ListCreativeAssetsResponse.SCHEMA_REPRESENTATION)
- [Authorization Scopes](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.creativeAssets/list#body.aspect)
- [Examples](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.creativeAssets/list#examples)

Lists creative assets.

- For example GET /v1/sellers/321/creativeAssets
- Returns a list of creative assets and a token to retrieve the next page if successful.
- Returns error code `INVALID_ARGUMENT` if sellers provide an invalid page size or page token.

### HTTP request

`GET https://dv360outofhomeseller.googleapis.com/v1/{parent=sellers/*}/creativeAssets`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The seller, which owns this collection of creative assets. Format: sellers/{seller} |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` The maximum number of items to return. The service may return fewer than this value. Max allowed number of creative assets is 1000; values above 1000 will be changed to 1000. If unspecified, at most 1000 creative assets will be returned. |
| `pageToken` | `string` The nextPageToken value returned from a previous List request, if any. |
| `filter` | `string` The list filter. Currently supports external ID filtering, with the syntax: "externalId = \[EXTERNAL_ID\]". The logical operators AND and OR can be used to chain filters. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "creativeAssets": [ { object (`https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.creativeAssets#CreativeAsset`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `creativeAssets[]` | ``object (`https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.creativeAssets#CreativeAsset`)`` The list of creative assets. |
| `nextPageToken` | `string` A token to retrieve the next page of results. Pass this value in the `https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.creativeAssets/list#body.QUERY_PARAMETERS.page_token` field in the subsequent call to `creativeAssets.list` method to retrieve the next page of results. |

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/doubleclickbidmanager`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).